Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2010:0756-1 (moderate): festival security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Fri, 22 Oct 2010 18:08:10 +0200 (CEST)
  • Message-id: <20101022160810.E17EABE49@xxxxxxxxxxxxxx>
openSUSE Security Update: festival security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0756-1
Rating: moderate
References: #642507
Cross-References: CVE-2010-3996
Affected Products:
openSUSE 11.3
openSUSE 11.2
openSUSE 11.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

festival_server uses an unsafe LD_LIBRARY_PATH. Local users
could exploit that to execute code as another user if that
user runs festival_server. CVE-2010-3996 has been assigned
to this issue.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch festival-3374

- openSUSE 11.2:

zypper in -t patch festival-3374

- openSUSE 11.1:

zypper in -t patch festival-3374

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

festival-1.96-126.3.1
festival-devel-1.96-126.3.1

- openSUSE 11.2 (i586 x86_64):

festival-1.96-122.3.1
festival-devel-1.96-122.3.1

- openSUSE 11.1 (i586 ppc x86_64):

festival-1.96-72.71.1
festival-devel-1.96-72.71.1


References:

http://support.novell.com/security/cve/CVE-2010-3996.html
https://bugzilla.novell.com/642507


< Previous Next >
This Thread
  • No further messages